Dominic Cleal
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/1997
Description

Something in vSphere instances seems to have no hardware "config" so triggers the following stack trace when listing VMs for the

compute resource:

Operation FAILED:

undefined method "template'

for nil:NilClass

/usr/share/foreman/app/services/fog_extensions/vsphere/mini_servers.rb:28:in “block in allvmsbyfol

der'

/usr/share/foreman/app/services/fog_extensions/vsphere/mini_servers.rb:23:in “each'

/usr/share/foreman/app/services/fog_extensions/vsphere/mini_servers.rb:23:in “allvmsbyfolder'

/usr/share/foreman/app/services/fog_extensions/vsphere/mini_servers.rb:25:in "block in allvmsbyfol

der'

/usr/share/foreman/app/services/fog_extensions/vsphere/mini_servers.rb:23:in "each'
/usr/share/foreman/app/services/fog_extensions/vsphere/mini_servers.rb:23:in “allvmsbyfolder'
/usr/share/foreman/app/services/fog_extensions/vsphere/mini_servers.rb:13:in “all'

/usr/share/foreman/app/controllers/compute_resources_vms_controller.rb:5:in " index'

(reported by satar on #theforeman)

Associated revisions

Revision f¢943370 - 12/09/2014 05:07 AM - Dominic Cleal

fixes #8590 - handle missing 'config’' when listing vSphere VMs

Revision 6031d36e - 12/15/2014 10:00 AM - Dominic Cleal

fixes #8590 - handle missing 'config’' when listing vSphere VMs

(cherry picked from commit fc94337014d175548746b16f2c70bb133de29497)

History

#1 - 12/05/2014 06:42 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1997 added

- Pull request deleted ()

#2 - 12/09/2014 06:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c94337014d175548746b16f2c70bb133de29497.

#3 - 12/15/2014 04:37 AM - Dominic Cleal

- translation missing: en.field_release set to 29
